Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| HTML Parser Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.htmlparser.nodeDecorators
Class NonBreakingSpaceConvertingNode

    java.lang.Object
      org.htmlparser.nodeDecorators.AbstractNodeDecorator
          org.htmlparser.nodeDecorators.NonBreakingSpaceConvertingNode

All Implemented Interfaces:
  Node

public class NonBreakingSpaceConvertingNode
extends AbstractNodeDecorator

Field Summary

Fields inherited from class org.htmlparser.nodeDecorators.AbstractNodeDecorator
`delegate`

Constructor Summary
`NonBreakingSpaceConvertingNode(Node newDelegate)`

Method Summary
`String` | `toPlainTextString()` Returns a string representation of the node.

Methods inherited from class org.htmlparser.nodeDecorators.AbstractNodeDecorator
`accept, collectInto, doSemanticAction, elementBegin, elementEnd, equals, getChildren, getEndPosition, getParent, getStartPosition, getText, setChildren, setEndPosition, setParent, setStartPosition, setText, toHtml, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NonBreakingSpaceConvertingNode

    public NonBreakingSpaceConvertingNode(Node newDelegate)

Method Detail

### toPlainTextString

    public String toPlainTextString()

  Description copied from interface: `Node`
  Returns a string representation of the node. This is an important method, it allows a simple string transformation of a web page, regardless of a node.
  Typical application code (for extracting only the text from a web page) would then be simplified to :

       Node node;
       for (Enumeration e = parser.elements();e.hasMoreElements();) {
          node = (Node)e.nextElement();
          System.out.println(node.toPlainTextString()); // Or do whatever processing you wish with the plain text string
       }

  Specified by:
    `toPlainTextString` in interface `Node`
  Overrides:
    `toPlainTextString` in class `AbstractNodeDecorator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| © 2004 Somik Raha Mar 14, 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

HTML Parser is an open source library released under LGPL.